[Orc Raider Class Transfer]:
An Orc Raider who reaches level 40 can proceed with the 2nd class transfer to become a Destroyer. In order to become a Destroyer, The character must successfully complete three quests. The Trial of the Challenger may be undertaken by a player of level 35 or above. This quest begins by meeting with Kash of Dion Castle Town. The Testimony of Glory may be undertaken by a player of level 37 or above. This quest begins by meeting with Prefect Vokian of Giran Castle Town. Finally, the Test of the Champion may be undertaken by a player of level 39 or above. This quest begins by meeting with Veteran Ascalon of Giran Castle Town.
Return
Close Window